#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x3e5616d8, "module_layout" },
	{ 0x2488fb2a, "nft_unregister_expr" },
	{ 0x36624d14, "nft_unregister_obj" },
	{ 0xbcdf983d, "nft_register_expr" },
	{ 0xbfae44e3, "nft_register_obj" },
	{ 0xf9d0b0ee, "nf_ct_netns_put" },
	{ 0x439fa851, "nf_ct_netns_get" },
	{ 0x8c4cb9c3, "nf_conncount_list_init" },
	{ 0x3ff55ad3, "nf_conncount_cache_free" },
	{ 0xf70cf44a, "nla_put" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x71ee254b, "nf_conncount_gc_list" },
	{ 0x4629334c, "__preempt_count" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdb7305a1, "__stack_chk_fail" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x58c98a14, "nf_ct_get_tuplepr" },
	{ 0x55393ff1, "nf_conncount_add" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=nf_tables,nf_conntrack,nf_conncount";


MODULE_INFO(srcversion, "D142CCBCFCC029B0A86EF62");
